matusalem matusalem - 4 months ago 67
iOS Question

React Native iOS error RCTScrollView.onRefreshStart after upgrade to 0.28.0

after upgrading React Native from

0.27.2
to
0.28.0
I've begun to get following error on iOS:

enter image description here

I'am using these packages:

"buffer": "^4.6.0",
"date-format-lite": "^0.7.4",
"fs": "0.0.2",
"moment": "^2.13.0",
"react": "^15.2.0",
"react-native": "^0.28.0",
"react-native-device-info": "^0.9.3",
"react-native-localization": "^0.1.13",
"react-native-nav": "^1.1.3",
"react-native-scrollable-tab-view": "^0.5.2",
"react-native-simple-modal": "^3.0.2",
"react-native-vector-icons": "^2.0.2",
"reflux": "^0.4.1",
"rnpm-plugin-upgrade": "^0.26.0",
"superagent": "^1.7.2",
"validator": "^5.1.0"


Any ideas what's wrong?

Thanks!

Answer

I solved this by clearing node_modules and ios project in Xcode.